--- config/gitlab.yml.example.orig	2022-03-21 09:13:50 UTC
+++ config/gitlab.yml.example
@@ -1172,14 +1172,14 @@ production: &base
     # real path not the symlink.
     storages: # You must have at least a `default` storage path.
       default:
-        path: /home/git/repositories/
-        gitaly_address: unix:/home/git/gitlab/tmp/sockets/private/gitaly.socket # TCP connections are supported too (e.g. tcp://host:port). TLS connections are also supported using the system certificate pool (eg: tls://host:port).
+        path: %%PREFIX%%/git/repositories/
+        gitaly_address: unix:%%PREFIX%%/www/gitlab-ce/tmp/sockets/private/gitaly.socket # TCP connections are supported too (e.g. tcp://host:port)
         # gitaly_token: 'special token' # Optional: override global gitaly.token for this storage.
 
   ## Backup settings
   backup:
     path: "tmp/backups"   # Relative paths are relative to Rails.root (default: tmp/backups/)
-    # gitaly_backup_path: # Path of the gitaly-backup binary (default: searches $PATH)
+    gitaly_backup_path: %%PREFIX%%/share/gitaly/bin/gitaly-backup # Path of the gitaly-backup binary (default: searches $PATH)
     # archive_permissions: 0640 # Permissions for the resulting backup.tar file (default: 0600)
     # keep_time: 604800   # default: 0 (forever) (in seconds)
     # pg_schema: public     # default: nil, it means that all schemas will be backed up
@@ -1228,12 +1228,12 @@ production: &base
 
   ## GitLab Shell settings
   gitlab_shell:
-    path: /home/git/gitlab-shell/
-    authorized_keys_file: /home/git/.ssh/authorized_keys
+    path: %%PREFIX%%/share/gitlab-shell/
+    authorized_keys_file: %%PREFIX%%/git/.ssh/authorized_keys
 
     # File that contains the secret key for verifying access for gitlab-shell.
     # Default is '.gitlab_shell_secret' relative to Rails.root (i.e. root of the GitLab app).
-    # secret_file: /home/git/gitlab/.gitlab_shell_secret
+    # secret_file: %%PREFIX%%/www/gitlab-ce/.gitlab_shell_secret
 
     # Git over HTTP
     upload_pack: true
@@ -1248,13 +1248,13 @@ production: &base
   workhorse:
     # File that contains the secret key for verifying access for gitlab-workhorse.
     # Default is '.gitlab_workhorse_secret' relative to Rails.root (i.e. root of the GitLab app).
-    # secret_file: /home/git/gitlab/.gitlab_workhorse_secret
+    # secret_file: %%PREFIX%%/www/gitlab-ce/.gitlab_workhorse_secret
 
   gitlab_kas:
     # enabled: true
     # File that contains the secret key for verifying access for gitlab-kas.
     # Default is '.gitlab_kas_secret' relative to Rails.root (i.e. root of the GitLab app).
-    # secret_file: /home/git/gitlab/.gitlab_kas_secret
+    # secret_file: %%PREFIX%%/www/gitlab-ce/.gitlab_kas_secret
 
     # The URL to the external KAS API (used by the Kubernetes agents)
     # external_url: wss://kas.example.com
@@ -1267,13 +1267,13 @@ production: &base
 
   ## GitLab Elasticsearch settings
   elasticsearch:
-    indexer_path: /home/git/gitlab-elasticsearch-indexer/
+    indexer_path: %%PREFIX%%/bin/
 
   ## Git settings
   # CAUTION!
   # Use the default values unless you really know what you are doing
   git:
-    bin_path: /usr/bin/git
+    bin_path: %%PREFIX%%/bin/git
 
   ## Webpack settings
   # If enabled, this will tell rails to serve frontend assets from the webpack-dev-server running
@@ -1294,16 +1294,16 @@ production: &base
 
     # Sidekiq exporter is webserver built in to Sidekiq to expose Prometheus metrics
     sidekiq_exporter:
-    #  enabled: true
-    #  log_enabled: false
-    #  address: localhost
-    #  port: 8082
+      enabled: true
+      log_enabled: false
+      address: localhost
+      port: 8082
 
     sidekiq_health_checks:
-    #  enabled: true
-    #  log_enabled: false
-    #  address: localhost
-    #  port: 8082
+      enabled: true
+      log_enabled: false
+      address: localhost
+      port: 8082
 
     # Web exporter is a dedicated Rack server running alongside Puma to expose Prometheus metrics
     # It runs alongside the `/metrics` endpoints to ease the publish of metrics
@@ -1524,13 +1524,13 @@ test:
         gitaly_address: unix:tmp/tests/gitaly/praefect.socket
 
   gitaly:
-    client_path: tmp/tests/gitaly/_build/bin
+    client_path: %%PREFIX%%/share/gitaly/bin
     token: secret
   workhorse:
     secret_file: tmp/gitlab_workhorse_test_secret
   backup:
     path: tmp/tests/backups
-    gitaly_backup_path: tmp/tests/gitaly/_build/bin/gitaly-backup
+    gitaly_backup_path: %%PREFIX%%/share/gitaly/bin/gitaly-backup
   pseudonymizer:
     manifest: config/pseudonymizer.yml
     upload:
